Subject: Re: [RFC 1/1] powerpc: legacy serial port use device tree cell-index property

From: Segher Boessenkool <[email-masked]>
Date: Wed, 30 Dec 2015 14:12:59 -0600

On Wed, Dec 30, 2015 at 08:36:01AM -0800, Curt Brune wrote:
> > What does this do if the value in cell-index is a duplicate. or the port
> > with that number is already created some other way?  Are the numbers in
> > cell-index global anyway, or relative to some parent device (I couldn't
> > find the documentation for this).
> 
> add_legacy_port() has support for handling duplicate index entries.
> Reading that code it looks like the recent entry wins and the older
> entry is moved to the next available index.
> 
> The numbers in cell-index are not global nor explicitly relative to a
> parent device.  I also could not find documentation on this.

That sounds like it should work then.  It does change behaviour for
existing configs.

Thanks,

Segher